import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetInventoryDetailedListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
export const contextState: OriginalListParams<GetInventoryDetailedListParams> =
  {
    wllbCodes: '',
    storageLocationCodes: '',
    name: '',
    storageLocationName: '',
    uuid: '',
  };
export const context = createTableSearchContext(contextState);
export const PRELAOD_KEY = '/inventory_log';
